<?
require("config.php");
require("func.php");
head();
aut();
ban();

$int1 = 20;
$int2 = $many_session;
$login = html($_GET['user']);

echo head . "Перевод монет" . div .katalog;

if (isset($_POST['submit'])) {
    $many = num($_POST['many']);
    $login = html($_POST['login']);
    $coment = html($_POST['coment']);
    
    if (empty($many)) $err = 'Вы не ввели количество монет';
    if ($many < $int1) $err = 'Минимально количество перевода <b>'.$int1.'</b> монет';
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `login` = '".$login."'"));
    if (empty($us)) $err = 'Пользователь не найден';
    if ($us['id'] == $id_session) $err = 'Переводите себе?';
    if ($many > $many_session) $err = 'У вас нет столько монет';
    
    if (isset($err)) 
        echo 'Ошибка! ' . $err;
        
    else {
    $result = ($many / 100) * 80;
    mysql_query("UPDATE `profile` SET `many` = '".($many_session - $many)."' WHERE `id` = '".$id_session."'");  
    
    if (mysql_query("UPDATE `profile` SET `many` = '".($us['many'] + $result)."' WHERE `id` = '".$us['id']."'"))
    {
        echo 'Вы успешно перевели <b>'.$result.'</b> монет<br/>';
        $coment = 'Коментарий: ' . $coment;
        $msg = 'Пользователь '.user($id_session).' перевел вам <b>'.$result.'</b> монет. ' . $coment;
        mysql_query("INSERT INTO `mail` SET `to_user` = '".$us['id']."', `ot_user` = '".$id_session."', `msg` = '".$msg."', `status` = 0, `date` = '".(time())."'");
    }
    else
        echo 'Возникла ошибка, обратитесь администратору<br/>';
        
    }
    
}
echo '<form action="many2.php" method="post" name="form">';
echo '<b>При переводе вы потеряете 20% постов от суммы перевода.</b><br/><br/><b>Монет для перевода:</b> (от <b>'.$int1.'</b> до <b>'.$int2.'</b>)<br/>';
echo '<input name="many" type="text" maxlength="15" /><br/ >';
echo '<b>Ник, кому переводим:</b><br/>';
echo '<input name="login" type="text" value="'.$login.'" maxlength="25" /><br/ >';
echo '<b>Коментарий перевода:</b> (Не обязательно)<br/>';
echo '<input name="coment" type="text" maxlength="100" /><br/ >';
echo '<input name="submit" type="submit" class="button" value="Перевести" /></form>';
echo div;
navig();
foot();
?>